

# DescribeLoggingOptions
<a name="API_DescribeLoggingOptions"></a>

**Important**  
End of support notice: On May 20,2026, AWS will end support for AWS IoT Events. After May 20,2026, you will no longer be able to access the AWS IoT Events console or AWS IoT Events resources. For more information, see [AWS IoT Events end of support](https://docs.aws.amazon.com/iotevents/latest/developerguide/iotevents-end-of-support.html). 

Retrieves the current settings of the AWS IoT Events logging options.

## Request Syntax
<a name="API_DescribeLoggingOptions_RequestSyntax"></a>

```
GET /logging HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeLoggingOptions_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_DescribeLoggingOptions_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeLoggingOptions_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "loggingOptions": { 
      "detectorDebugOptions": [ 
         { 
            "detectorModelName": "string",
            "keyValue": "string"
         }
      ],
      "enabled": boolean,
      "level": "string",
      "roleArn": "string"
   }
}
```

## Response Elements
<a name="API_DescribeLoggingOptions_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [loggingOptions](#API_DescribeLoggingOptions_ResponseSyntax) **   <a name="iotevents-DescribeLoggingOptions-response-loggingOptions"></a>
The current settings of the AWS IoT Events logging options.  
Type: [LoggingOptions](API_LoggingOptions.md) object

## Errors
<a name="API_DescribeLoggingOptions_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalFailureException **   
An internal failure occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request was invalid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The resource was not found.    
 ** message **   
The message for the exception.
HTTP Status Code: 404

 ** ServiceUnavailableException **   
The service is currently unavailable.    
 ** message **   
The message for the exception.
HTTP Status Code: 503

 ** ThrottlingException **   
The request could not be completed due to throttling.    
 ** message **   
The message for the exception.
HTTP Status Code: 429

 ** UnsupportedOperationException **   
The requested operation is not supported.    
 ** message **   
The message for the exception.
HTTP Status Code: 501

## See Also
<a name="API_DescribeLoggingOptions_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iotevents-2018-07-27/DescribeLoggingOptions) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iotevents-2018-07-27/DescribeLoggingOptions) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/iotevents-2018-07-27/DescribeLoggingOptions) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iotevents-2018-07-27/DescribeLoggingOptions) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iotevents-2018-07-27/DescribeLoggingOptions) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iotevents-2018-07-27/DescribeLoggingOptions) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iotevents-2018-07-27/DescribeLoggingOptions) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iotevents-2018-07-27/DescribeLoggingOptions) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iotevents-2018-07-27/DescribeLoggingOptions) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iotevents-2018-07-27/DescribeLoggingOptions) 